/*
 *  OpenGLUtils.cc
 *
 *  Some OpenGL Utils for output
 *
 *  Copyright (C) 2002 Tobias Dyckerhoff
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */


#include "OpenGLUtils.h"


void output(float x, float y, float z, const string& str) {
  void* font = GLUT_BITMAP_HELVETICA_18;
  int len = str.length();   
  glRasterPos3f(x, y, z);
  for (int i = 0; i < len; i++) {
    glutBitmapCharacter(font, str[i]);
  }
}

void output2d(float x, float y, const string& str) {
  void* font = GLUT_BITMAP_HELVETICA_18;
  int len = str.length();   
  glRasterPos2f(x, y);
  for (int i = 0; i < len; i++) {
    glutBitmapCharacter(font, str[i]);
  }
}
