/*
 *  TetraCube.h
 *
 *  Helper Class for Tetra Polygonization Algorithm
 *
 *  Copyright (C) 2002 Tobias Dyckerhoff
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */


#ifndef TETRA_CUBE_H
#define TETRA_CUBE_H

#include <vector>
#include <list>
#include <valarray>


class TetraCube{
  
  vector<double> inbetw( int i, int j); 
  list<vector<double> > tetra_polygonize( int n);

 public:
  TetraCube(int i);
  int in_count;
  vector<vector<double> > v;
  unsigned char inmap; // perhaps faster ?
  valarray<bool> in;

  /* the new triangular decomposition methods */
  list<list<vector<double> > > polygonize();
  
};


#endif
