/*
 *  Vector3.cc
 *
 *  Mathematical 3 dim vector class
 *
 *  Copyright (C) 2002 Tobias Dyckerhoff
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */


#include "Vector3.h"

Vector3::Vector3() {}


Vector3::Vector3(double *ar) {
  for( int i = 0; i < 3; i++)
    vec[i] = ar[i];
}

Vector3::Vector3(double a, double b, double c){
  vec[0] = a;
  vec[1] = b;
  vec[2] = c;
}

bool Vector3::operator==(const Vector3 &q) const {
  for( int i = 0; i < 3; i++)
    if( vec[i] != q.vec[i])
      return false;
  return true;
}


bool Vector3::operator!=(const Vector3 &q) const {
  return !(*this == q);
}

Vector3& Vector3::operator=(const Vector3 &q) {
  for(int i = 0; i < 3; i++)
    vec[i] = q.vec[i];
}





double* Vector3::get_vec() const {
  double *ar = new double[3];
  for( int i = 0; i < 3; i++)
    ar[i] = vec[i];

  return ar;
}








ostream& operator<<(ostream &s, const Vector3&q) {
  double *v = q.get_vec();
  
  s << "( "<< v[0] << " , ";
  s << v[1] << " , ";
  s << v[2] << " ) ";

  
  return s;
}


