/*
 *  Gtk_FractalToolbox.cc
 *
 *  Fractal Toolbox frame in QuatFractViewer
 *
 *  Copyright (C) 2002 Tobias Dyckerhoff
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */


#include "Gtk_FractalToolbox.h"


using SigC::bind;
using SigC::slot;
using namespace Gtk::Toolbar_Helpers;

FractalToolbox::FractalToolbox(): waypix("./pixmaps/smAnt.xpm"), 
			      povpix("./pixmaps/big.FilmNegative.xpm"),
			      quatpix("./pixmaps/quat.xpm"),
			      parampix("./pixmaps/param.xpm")
{

  for( int i = 0; i < 20; i++)
    toggled[i] = false;

  set_border_width(10);
  set_shadow_type(GTK_SHADOW_ETCHED_IN);
  set_label("Fractal Tools");


  /* packing it together, binding ints to the buttons. */
  toolbar.tools().push_back(ToggleElem(waypix, 
    bind<int>(slot(this, &FractalToolbox::tool_handler),1),"edit waypoints"));
  toolbar.tools().push_back(ToggleElem(povpix, 
    bind<int>(slot(this, &FractalToolbox::tool_handler),2),"povray output"));
  toolbar.tools().push_back(ButtonElem(quatpix,					  
    bind<int>(slot(this, &FractalToolbox::tool_handler),3),"render fractal"));
  toolbar.tools().push_back(ToggleElem(parampix,				      bind<int>(slot(this, &FractalToolbox::tool_handler),4),"fractal parameters"));
  add(toolbar);

  show_all();	 


}

void FractalToolbox::tool_handler(int id)
{
  toggled[id] = ! toggled[id];

  /* emit the signal */
  tool_event(id); 

}


