/*
 *  Gtk_ViewerToolbox.h
 *
 *  Toolbox in GenericViewer
 *
 *  Copyright (C) 2002 Tobias Dyckerhoff
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */


#ifndef INFOTOOLS_H
#define INFOTOOLS_H

//these tools are located within the viewer!

#include <gtk--/window.h>
#include <gtk--/box.h>
#include <gtk--/toolbar.h>
#include <gtk--/pixmap.h>
#include <gtk--/imageloader.h>
#include <gtk--/frame.h>

/** The Toolbox consists of frame with several buttons in it, which will be linked
    to GenericViewer specific widgets. It is packed into the toolbox of 
    GeneriCViewer.
*/
class ViewerToolbox: public Gtk::Frame
{

 public:

  /** Constructor. */
  ViewerToolbox(); 

  /** Here the buttons are placed. */
  Gtk::Toolbar toolbar; 

  /** Handels a button change. Emits the tool_event. */
  void tool_handler(int id);

  /* pixmap for the single button */
  Gtk::Pixmap campix;

  /** A button has ben toggled. */
  SigC::Signal1<void,int>tool_event;

};

#endif
